---
# this is a palmtest build configuration file

compiler:
  id: GNU
  executable: "{{GNU.executable}}"
  mpi_wrapper: "gfortran"
  definitions:
    - "__netcdf"
    - "__netcdf4"
    - "__fftw"
    - "__rrtmg"
    - "__gfortran"
  options:
    default:
      - "-cpp"
      - "-pedantic"
      - "-Wno-conversion"
      - "-Wno-compare-reals"
      - "-Ofast"
      - "-ffree-line-length-none"
    debug:
      - "-cpp"
      - "-O0"
      - "-fcheck=all"
      - "-fbacktrace"
      - "-Wno-conversion"
      - "-Wno-compare-reals"
      - "-finit-real=nan"
      - "-ffree-line-length-none"
  includes:
    - "{{GNU.include.netcdf}}"
    - "{{GNU.include.fftw}}"
    - "{{GNU.include.rrtmg}}"

linker:
  options:
    - "{{GNU.lib.netcdf}}"
    - "{{GNU.lib.fftw}}"
    - "{{GNU.lib.rrtmg}}"
